Download it now!
Bug 75016 - WinSal*Printer mishandles creation and destruction and causes sideeffects in OuputDevice::ImplGetGraphics/ImplReleaseGraphics
Summary: WinSal*Printer mishandles creation and destruction and causes sideeffects in ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-15 10:47 UTC by Chris Sherlock
Modified: 2019-12-03 14:14 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Sherlock 2014-02-15 10:47:45 UTC
This is a followup issue to #133991# and then later lodged in AOO's bugtracker as bug 63756, where an old implementation problem caused really bad side effects. The problem is that a WinSal*Printer handles the creation & destruction of WinSalGraphics differently than the OutputDevice's ImplGetGraphics/ImplReleaseGraphics expect.

Unfortunately Printer::mpGraphics often points to a dead WinSalGraphics, this causes major problems in the functions.
Comment 1 Xisco Faulí 2016-09-10 15:59:19 UTC Comment hidden (obsolete)
Comment 2 Xisco Faulí 2016-09-10 15:59:52 UTC Comment hidden (obsolete)
Comment 3 Xisco Faulí 2017-09-29 08:50:45 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2019-12-03 14:14:33 UTC
Dear Chris Sherlock,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug